<section class="result-page">
  <app-info-commune *ngIf="isPortailCommune && commune" [commune]="commune"></app-info-commune>
  <div class="main-content">
    <div class="filter-button-touch column is-hidden-desktop"
    (click)="toggleFilters()">
      <div class="filter-title">
        <span class="filter-img"><img src="./assets/img/picto_filtres.svg" alt=""></span>
        <span class="is-uppercase has-text-weight-bold" i18n="@@global.filters">Filters</span>
      </div>

      <div class="arrows" [ngClass]="{'is-displayed': displayFilters === true}">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 15 9">
          <path
            d="M7.5 7.5c-.1 0-.3-.1-.4-.1l-6-6C1 1.1 1 .8 1.1.6s.5-.2.7 0l5.6 5.6L13 .6c.2-.2.5-.2.7 0s.2.5 0 .7l-6 6c.1.1-.1.2-.2.2z"
            class="brandcolor" />
          <path
            d="M7.5 7.5c-.1 0-.3-.1-.4-.1l-6-6C1 1.1 1 .8 1.1.6s.5-.2.7 0l5.6 5.6L13 .6c.2-.2.5-.2.7 0s.2.5 0 .7l-6 6c.1.1-.1.2-.2.2z"
            class="brandcolor" />
        </svg>
      </div>
    </div>
    <div class="column is-3-desktop is-12-touch is-hidden-touch filter-column"
      [ngClass]="{'is-hidden-touch': displayFilters === false}">
      <app-filter-list [commune]="commune"></app-filter-list>
    </div>
    <div class="column is-9-desktop is-12-touch results-column" *ngIf="results">

      <h1 i18n="@@global.resultsTitle" class="sr-only">Search result(s)</h1>
      <div class="tab-results">
        <app-results-tab-scope [countResults]="countResults" [selectedScope]="selectedScope"
          (scopeChanged)="scopeChanged($event)">
        </app-results-tab-scope>
      </div>

      <!-- If we have results, display the pagination and count results
            If not, display one message indicating no result was found -->
      <div class="columns is-multiline is-vcentered is-marginless header-results"
        *ngIf="countResults[selectedScope.key]; else noResult">
        <div class="column is-6-mobile" *ngIf="paginator.length">
          <span>{{ fromResultNumber }} - {{ toResultNumber }}&nbsp;</span>
          <span i18n="@@global.resultsFound"> of {{ paginator.length }} results</span>
        </div>
        <div class="column is-12-mobile pagination">
          <app-paginator *ngIf="paginator.length > 0" [length]="paginator.length" [pageSize]="paginator.pageSize"
            [pageSizeOptions]="paginator.pageSizeOptions" [pageIndex]="paginator.pageIndex" [loading]="isLoading"
            [showFirstLastButtons]="true" (page)="changePagination($event)" (pageSizeChanged)="changePageSize($event)">
          </app-paginator>
        </div>
        <div class="column is-6-mobile sort-dropdown">
          <app-sort></app-sort>
        </div>
      </div>
      <ng-template #noResult>
        <div class="no-result">

          <img class="no-result-image" src="./assets/img/search_fail.svg" alt="">
          <div class="no-result-text">
            <p class="no-result-message" i18n="@@results.noresult.1">
              No {{ selectedScope.errorItem }} corresponds to the research criteria.
            </p>

            <div class="no-result-suggestion">
              <span i18n="@@results.noresult.2">Suggestion:</span>
              <ul>
                <li i18n="@@results.noresult.3">Check the spelling of the search terms.</li>
                <li i18n="@@results.noresult.4">Try other words.</li>
                <li i18n="@@results.noresult.5">Use more general keywords.</li>
                <li i18n="@@results.noresult.6">Specify fewer words.</li>
              </ul>
            </div>
          </div>
        </div>
      </ng-template>



      <div *ngIf="displaySuggestion === true">
        <span *ngIf="suggestion.text">
          <span i18n="@@global.youMeant">Did you mean: </span> <span class="suggestion"
            [innerHTML]="suggestion.highlighted" (click)="useSuggestion()"></span>
        </span>
      </div>
      <div class="datasets" [ngClass]="{'blury' : isLoading}">
        <ng-container *ngFor="let result of results">
          <div class="result-dataset" *ngIf="result.metadata">
            <app-result-dataset [dataset]="result"></app-result-dataset>
            <hr>
          </div>

          <div class="result-post" *ngIf="!result.metadata">
            <app-result-post [post]="result"></app-result-post>
            <hr>
          </div>
        </ng-container>
      </div>

      <div class="pagination-bottom">
        <app-paginator *ngIf="paginator.length > 0" [length]="paginator.length" [pageSize]="paginator.pageSize"
          [pageSizeOptions]="paginator.pageSizeOptions" [pageIndex]="paginator.pageIndex" [loading]="isLoading"
          [showFirstLastButtons]="true" (page)="changePagination($event)" (pageSizeChanged)="changePageSize($event)">
        </app-paginator>
      </div>
    </div>
  </div>
</section>
